org.apache.cassandra.db

## Class Conflicts

- java.lang.Object
- - org.apache.cassandra.db.Conflicts

    public abstract class Conflicts
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Conflicts.Resolution`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.nio.ByteBuffer` `mergeCounterValues(java.nio.ByteBuffer left, java.nio.ByteBuffer right)`
`static Conflicts.Resolution` `resolveCounter(long leftTimestamp, boolean leftLive, java.nio.ByteBuffer leftValue, long rightTimestamp, boolean rightLive, java.nio.ByteBuffer rightValue)`
`static Conflicts.Resolution` `resolveRegular(long leftTimestamp, boolean leftLive, int leftLocalDeletionTime, java.nio.ByteBuffer leftValue, long rightTimestamp, boolean rightLive, int rightLocalDeletionTime, java.nio.ByteBuffer rightValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### resolveRegular

    public static Conflicts.Resolution resolveRegular(long leftTimestamp,
                                                      boolean leftLive,
                                                      int leftLocalDeletionTime,
                                                      java.nio.ByteBuffer leftValue,
                                                      long rightTimestamp,
                                                      boolean rightLive,
                                                      int rightLocalDeletionTime,
                                                      java.nio.ByteBuffer rightValue)

#### resolveCounter

    public static Conflicts.Resolution resolveCounter(long leftTimestamp,
                                                      boolean leftLive,
                                                      java.nio.ByteBuffer leftValue,
                                                      long rightTimestamp,
                                                      boolean rightLive,
                                                      java.nio.ByteBuffer rightValue)

#### mergeCounterValues

    public static java.nio.ByteBuffer mergeCounterValues(java.nio.ByteBuffer left,
                                                         java.nio.ByteBuffer right)